# Q. What is this file?
# A. This file contains options which allow you to configure your multiworld experience while allowing
#    others to play how they want as well.
#
# Q. How do I use it?
# A. The options in this file are weighted. This means the higher number you assign to a value, the
#    more chances you have for that option to be chosen. For example, an option like this:
#
#    map_shuffle:
#      on: 5
#      off: 15
#
#    Means you have 5 chances for map shuffle to occur, and 15 chances for map shuffle to be turned
#    off.
#
# Q. I've never seen a file like this before. What characters am I allowed to use?
# A. This is a .yaml file. You are allowed to use most characters.
#    To test if your yaml is valid or not, you can use this website:
#        http://www.yamllint.com/
#    You can also verify that your MultiworldGG options are valid at this site:
#        https://multiworld.gg/check

# Your name in-game, limited to 16 characters.
#     {player} will be replaced with the player's slot number.
#     {PLAYER} will be replaced with the player's slot number, if that slot number is greater than 1.
#     {number} will be replaced with the counter value of the name.
#     {NUMBER} will be replaced with the counter value of the name, if the counter value is greater than 1.
name: Player{number}

# Used to describe your yaml. Useful if you have multiple files.
description: Default Refunct Template

game: Refunct
requires:
  version: 0.7.208 # Version of MWGG required for this yaml to work as expected.
  game:
    Refunct: 0.3.2 # Version of the world required for this yaml to work as expected.

Refunct:
  ################
  # Game Options #
  ################
  progression_balancing:
    # A system that can move progression earlier, to try and prevent the player from getting stuck and bored early.
    # 
    # A lower setting means more getting stuck. A higher setting means less getting stuck.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 99
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-99: 0 # random value between 0 and 99
    disabled: 0 # equivalent to 0
    normal: 50 # equivalent to 50
    extreme: 0 # equivalent to 99

  accessibility:
    # Set rules for reachability of your items/locations.
    # 
    # **Full:** ensure everything can be reached and acquired.
    # 
    # **Minimal:** ensure what is needed to reach your goal can be acquired.
    full: 50
    minimal: 0

  amount_of_grass:
    # In this randomizer, your goal is to collect enough grass and go to the final platform.
    # This option sets the total amount of grass in the game.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 10
    # Maximum value is 174
    100: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-10-174: 0 # random value between 10 and 174

  required_grass_percentage:
    # This options sets the percentage of grass you need in order to win when you go to the final platform.
    # 0 means you don't need any grass at all and just need to find the final platform.
    # Note: choosing max grass and 100% required may lead to some FillErrors in solo games.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 100
    70: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-100: 0 # random value between 0 and 100

  final_platform:
    # Sets which platform is the final platform that needs to be reached to win the game.
    # You can choose the following platforms:
    # - Platform 1-5: right next to the starting platform
    # - Platform 21-1: easy to reach platform in Cluster 21 (bottom-left)
    # - Platform 29-2: epic high platform in Cluster 29 for which you need Cluster 25 and jumppads (top-left)
    # - random_known: randomly chosen platform. The UI will show you which platform it is.
    # - random_unknown: randomly chosen platform. The UI will NOT show you which platform it is until you jump on it. You can !hint Final Platform and it will tell you the location.
    '1_5': 0
    '21_1': 0
    '29_2': 50
    random_known: 0
    random_unknown: 0

  number_of_minigames:
    # Refunct allows for adding several minigames to your game, which you have to unlock first.
    # This options sets how many minigames are included in the game.
    # Set this to -1 if you want all minigames. Set this to 0 if you don't want any minigames.
    # The next option allows you to tweak how likely each minigame is to be included, but the default is probably OK!
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is -1
    # Maximum value is 4
    -1: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range--1-4: 0 # random value between -1 and 4

  number_of_unlocks_per_minigame:
    # Each minigame needs to be unlocked first by finding its unlock item in the main game.
    # This option sets how many unlock items of each minigame are there in the main game.
    # Just one unlock item is enough to play, so having more than one makes it more likely that you can play that minigame.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 1
    # Maximum value is 2
    1: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-1-2: 0 # random value between 1 and 2

  minigames_likeliness:
    # Refunct allows for adding several minigames to your game, which each have their own items and locations.
    # You can switch between Move Rando (main game) and the minigames in the Archipelago menu in-game.
    # This setting determines the likeliness of each minigame to be included.
    # The default settings are tweaked already so that the "better" minigames are more likely to appear.
    # 
    # Vanilla Minigame:
    # Adding this minigame will let you play the original vanilla refunct game, once you unlock it.
    # You have all your abilities and every button is a check (up to 10 useful items).
    #  
    # Seeker Minigame:
    # Adding this minigame will let you search for 10 platforms that are not grassified yet, once you unlock it.
    # You have all your abilities and jumping on empty platforms will give you checks.
    #  
    # Button Galore Minigame:
    # This minigame spawns you in a game with all plaforms already there.
    # And you just press every button that there is for a check (up to 10 useful items). 
    # 
    # OG Randomizer Minigame:
    # This is where it all started, you'll get to play the very first Refunct randomizer.
    # Hitting a button triggers a random platform to appear somewhere in the level, and it gives a check!
    Button Galore Minigame: 1
    OG Randomizer Minigame: 3
    Seeker Minigame: 2
    Vanilla Minigame: 3

  ###########################
  # Item & Location Options #
  ###########################
  local_items:
    # Forces these items to be in their native world.
    []

  non_local_items:
    # Forces these items to be outside their native world.
    []

  start_inventory:
    # Start with the specified amount of these items. Example: "Bomb: 1"
    {}

  start_hints:
    # Start with these item's locations prefilled into the ``!hint`` command.
    []

  start_location_hints:
    # Start with these locations and their item prefilled into the ``!hint`` command.
    []

  exclude_locations:
    # Prevent these locations from having an important item.
    []

  priority_locations:
    # Prevent these locations from having an unimportant item.
    []

  item_links:
    # Share part of your item pool with other players.
    []

  plando_items:
    # Generic items plando.
    []
